%define upstream_name ndg_httpsclient

Name:           python-%{upstream_name}
Version:        0.4.0
Release:        %mkrel 2
Summary:        Provides enhanced HTTPS support for httplib and urllib2
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/ndg_httpsclient
Source0:        https://pypi.python.org/packages/source/n/ndg_httpsclient/ndg_httpsclient-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
This is a HTTPS client implementation for httplib and urllib2 based on
PyOpenSSL. PyOpenSSL provides a more fully featured SSL implementation over the
default provided with Python and importantly enables full verification of the
SSL peer.

%package -n     python3-%{upstream_name}
Summary:        Provides enhanced HTTPS support for httplib and urllib2
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{upstream_name}
This is a HTTPS client implementation for httplib and urllib2 based on
PyOpenSSL. PyOpenSSL provides a more fully featured SSL implementation over the
default provided with Python and importantly enables full verification of the
SSL peer.

This is the Python 3 version of the package.

%prep
%setup -q -n %{upstream_name}-%{version}

# Remove bundled egg-info
rm -rf %{upstream_name}.egg-info

%build
%py2_build

%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/ndg_httpclient %{buildroot}%{_bindir}/python3-ndg_httpclient

%py2_install

%files
%{_bindir}/ndg_httpclient
%{python2_sitelib}/ndg
%{python2_sitelib}/ndg_httpsclient-%{version}-*.egg-info
%{python2_sitelib}/ndg_httpsclient-%{version}-py%{python2_version}-nspkg.pth

%files -n python3-%{upstream_name}
%{_bindir}/python3-ndg_httpclient
%{python3_sitelib}/ndg
%{python3_sitelib}/ndg_httpsclient-%{version}-*.egg-info
%{python3_sitelib}/ndg_httpsclient-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Tue Jan 19 2016 daviddavid <daviddavid> 0.4.0-2.mga6
+ Revision: 925745
- use new python macros
- add python3 package

* Fri Dec 04 2015 guillomovitch <guillomovitch> 0.4.0-1.mga6
+ Revision: 908036
- imported package python-ndg_httpsclient

